Skip to main content
Source: equa-server/modules/api/src/endpoints/activity-endpoints.ts

Activity Endpoints

Endpoints for recording and retrieving activity logs within an organization. Activity logs track user actions like creating shareholdings, updating members, and modifying cap table data. All activity endpoints require authentication and canViewOrganization permission.

Create Action

POST /v1/organization/:organization/action
FieldValue
AuthRequired
PermissioncanViewOrganization
Record a new action in the organization’s activity log. Request:
{
  "type": "shareholding.created",
  "description": "Created shareholding for Jane Doe",
  "metadata": {
    "shareholdingId": "uuid",
    "memberId": "uuid"
  }
}

List Actions

GET /v1/organization/:organization/action
FieldValue
AuthRequired
PermissioncanViewOrganization
Retrieve the activity log for an organization. Response:
[
  {
    "id": "uuid",
    "type": "shareholding.created",
    "description": "Created shareholding for Jane Doe",
    "userId": "uuid",
    "created": "2025-06-15T10:30:00Z",
    "metadata": {}
  }
]